XnModuleGeneralIntInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnStatus(* | GetRange )(XnModuleNodeHandle hGenerator, const XnChar *strCap, XnInt32 *pnMin, XnInt32 *pnMax, XnInt32 *pnStep, XnInt32 *pnDefault, XnBool *pbIsAutoSupported)
XnStatus(* | Get )(XnModuleNodeHandle hGenerator, const XnChar *strCap, XnInt32 *pnValue)
XnStatus(* | Set )(XnModuleNodeHandle hGenerator, const XnChar *strCap, XnInt32 nValue)
XnStatus(* | RegisterToValueChange )(XnModuleNodeHandle hGenerator, const XnChar *strCap, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromValueChange )(XnModuleNodeHandle hGenerator, const XnChar *strCap, XnCallbackHandle hCallback)

## Member Data Documentation

## Get

XnStatus(* XnModuleGeneralIntInterface::Get) (XnModuleNodeHandle hGenerator, const XnChar *strCap, XnInt32 *pnValue)

Gets the current value of this capability

Parameters

  hGenerator | [in] A handle to the instance
  strCap | [in] Name of the capability
  pnValue | [out] Current value

## GetRange

XnStatus(* XnModuleGeneralIntInterface::GetRange) (XnModuleNodeHandle hGenerator, const XnChar *strCap, XnInt32 *pnMin, XnInt32 *pnMax, XnInt32 *pnStep, XnInt32 *pnDefault, XnBool *pbIsAutoSupported)

Gets the range of this capability values

Parameters

  hGenerator | [in] A handle to the instance
  strCap | [in] Name of the capability
  pnMin | [out] Minimum value
  pnMax | [out] Maximum value
  pnStep | [out] Step size
  pnDefault | [out] Default value
  pbIsAutoSupported | [out] TRUE if auto adjustment is supported, FALSE otherwise

## RegisterToValueChange

XnStatus(* XnModuleGeneralIntInterface::RegisterToValueChange) (XnModuleNodeHandle hGenerator, const XnChar *strCap, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)

Registers a callback function to values changes.

Parameters

  hGenerator | [in] A handle to the instance.
  strCap | [in] Name of the capability
  handler | [in] A pointer to a function that will be called when value changes.
  pCookie | [in] A user cookie that will be passed to the callback function.
  phCallback | [out] Optional. Will be filled with a handle to be passed to UnregisterFromValueChange().

## Set

XnStatus(* XnModuleGeneralIntInterface::Set) (XnModuleNodeHandle hGenerator, const XnChar *strCap, XnInt32 nValue)

Sets the current value of this capability

Parameters

  hGenerator | [in] A handle to the instance
  strCap | [in] Name of the capability
  nValue | [in] Value to set

## UnregisterFromValueChange

void(* XnModuleGeneralIntInterface::UnregisterFromValueChange) (XnModuleNodeHandle hGenerator, const XnChar *strCap, XnCallbackHandle hCallback)

Unregisters a callback function which was registered using RegisterToValueChange().

Parameters

  hGenerator | [in] A handle to the instance.
  strCap | [in] Name of the capability
  hCallback | [in] The handle to the callback returned from RegisterToValueChange().

The documentation for this struct was generated from the following file:

- XnModuleInterface.h